%define name	httrack
%define	version 3.05
%define release	1mdk

Summary: 	Great website copier for offline browsing
Name: 		%{name}
Version: 	%{version}
Release:	%{release}
Group: 		Networking/WWW
License: 	GPL
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.httrack.com
BuildRoot: 	%_tmppath/%name-buildroot
Prefix: 	%{_prefix}

BuildRequires: perl

%description
HTTrack is an easy-to-use offline browser utility.It allows you to 
download a World Wide website from the Internet to a local directory,
building recursively all directories, getting html, images, and other 
files from the server to your computer. HTTrack arranges the original 
site's relative link-structure.Simply open a page of the "mirrored" 
website in your browser, and you can browse the site from link to link,
as if you were viewing it online. HTTrack can also update an existing 
mirrored site, and resume interrupted downloads. HTTrack is fully 
configurable.

%prep
%__rm -rf $RPM_BUILD_ROOT

%setup -q
%__chmod -f 0444 `find ./HelpHtml -type f` httrack-doc.html COPYING INSTALL README *.txt
touch `find . -type f`

%build
cd src

./configure --system=linux --pthread
make CFLAGS="$RPM_OPT_FLAGS -D_REENTRANT"

%install
cd src
%__mkdir_p $RPM_BUILD_ROOT/%{_bindir}
%__cp httrack $RPM_BUILD_ROOT/%{_bindir}

# i hardcode sysconfdir because it is harcoded in sources
%__mkdir_p $RPM_BUILD_ROOT/etc

%__cat  >$RPM_BUILD_ROOT/etc/httrack.conf <<"EOF"
# Examples: (to uncomment)
#set proxy proxy.myisp.com:8080
#retries=2
#set max-size 10000000
#set max-time 36000
#set user-agent Mouzilla/17.0 (compatible; HTTrack; I)
# There are MUCH more options..
# Deny and allow for links
# Beware! this will be used by default for all mirrors"
allow *.gif
allow *.png
deny ad.doubleclick.net/*
# Path and other options
# ~ in the begining means 'home dir'
EOF

%__chmod 644 $RPM_BUILD_ROOT/etc/httrack.conf

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc HelpHtml httrack-doc.html COPYING INSTALL README *.txt

%attr (0755,root,root) %_bindir/*
%attr (0644,root,root) %config (noreplace) /etc/httrack.conf

%changelog
* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.05-1mdk
- updated to 3.05

* Mon Jul 23 2001  Lenny Cartier <lenny@mandrakesoft.com> 3.03-1mdk
- updated by Pierre-Michel THEVENY <pmt@mnhn.fr> :
	- updated to 3.03

* Mon Apr 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.01-1mdk
- updated to 3.01

* Thu Apr 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.00-2mdk
  - added in contribs by Pierre-Michel THEVENY <pmt@mnhn.fr> :
        - Fix files permissions
        - Rebuild on Mandrake 8.0 (rpm-4.0)

* Tue Apr 19 2001 Pierre-Michel THEVENY <pmt@mnhn.fr> 3.00-1mdk
- First built

